%global pkg_name        DateTime-Format-DateParse
%global pkg_version     0.04
%global rpm_pkg_version 0.04
%global rpm_pkg_release 1.n0i.1

Summary:       Parses Date::Parse compatible formats
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/DateTime/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Module::Build)
BuildRequires: perl(DateTime)           >= 0.29
BuildRequires: perl(DateTime::TimeZone) >= 0.27
BuildRequires: perl(Date::Parse)        >= 2.27
BuildRequires: perl(Time::Zone)         >= 2.22
Requires:      perl(DateTime)           >= 0.29
Requires:      perl(DateTime::TimeZone) >= 0.27
Requires:      perl(Date::Parse)        >= 2.27
Requires:      perl(Time::Zone)         >= 2.22
%global perl_filter_req 'perl\\((DateTime|DateTime::TimeZone|Date::Parse|Time::Zone)\\)$'


%description
This module is a DateTime compatibility wrapper around Date::Parse.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Sat Oct 20 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.04
